#include <iostream>
#include <cmath>
#include <algorithm>

using namespace std;

bool Poredjenje(pair<double, double> x, pair<double, double> y)
{
    return {x.second > y.second};
}

int main()
{
    int k=0;
    long long n;
    double zbir=0.0, maxi = 0, p=0;

    cin >> n;

    pair<double, double> a[n];

    for(int i=0; i < n; i++)
    {
        cin >> a[i].first >> a[i].second;
        a[i].second /= 100.00;
    }

    sort(a, a + n, Poredjenje);

    for(int i=0; i < n; i++)
    {
        zbir += a[i].first;

        if(i == 0)
        {
            maxi = zbir * a[i].second;
            continue;
        }
        maxi = max(maxi, zbir*a[i].second);
    }

    printf("%.4f", maxi);
    return 0;
}